//new md3 shaders
models/buildables/reflector/mer
{
  {
    map models/buildables/reflector/mer.jpg
    tcGen environment
  }
}

models/buildables/tex_uni_ladder
{
surfaceparm ladder
surfaceparm playerclip
  {
    map models/buildables/tex_uni.jpg

  }

}

models/buildables/pod/pod
{
  {
    map models/buildables/pod/pod.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }

}

models/buildables/net/net
{
  {
    map models/buildables/net/net.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }

}

models/buildables/infestation_thicket/haut_fetzen_halb
{
  {
    map models/buildables/infestation_thicket/haut_fetzen_halb.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }

}

models/buildables/reflector/haut_fetzen_b
{
  {
    map models/buildables/reflector/haut_fetzen_b.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }
}
models/buildables/tendon_small/haut_fetzen
{
  {
    map models/buildables/tendon_small/haut_fetzen.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }
}
models/buildables/panzer_medium/haut
{
  {
    map models/buildables/panzer_medium/haut.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }
}
models/buildables/infestation_slime/slime
{
  {
    map models/buildables/infestation_slime/slime.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }
}
models/buildables/infestation_slime/slime_side
{
  {
    map models/buildables/infestation_slime/slime_side.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GT0
	depthWrite
  }
}


//
gfx/marks/blood_mrk
{
  polygonOffset
  {
    map gfx/marks/blood_mrk.tga
    blendFunc blend
    rgbGen identityLighting
    alphaGen vertex
  }
}

gfx/marks/ablood_mrk
{
  polygonOffset
  {
    map gfx/sprites/green_acid.tga // TODO
    blendFunc blend
    rgbGen identityLighting
    alphaGen vertex
  }
} 

creep
{
  nopicmip
  polygonoffset
  {
    map gfx/misc/creep.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}


models/players/level1/level1adv
{
  {
    map models/players/level1/level1upg.jpg
    blendFunc GL_ONE GL_ONE
  }
}

gfx/invisible
{
  nopicmip
  {
    map gfx/invisible.jpg
    //blendFunc GL_ONE GL_ONE
    depthFunc equal
    //tcMod scale 2 2
    //tcMod scroll 0.2 -0.2
    //rgbGen wave sin 0.0 1.0 0.25 0.5
  }
}

gfx/invisible_team
{
  nopicmip
  {
    map gfx/invisible.jpg
    blendFunc GL_ONE GL_ONE
    tcMod scale 2 2
    tcMod scroll 0.2 -0.2
  }
}

gfx/invisible_fade
{
  {
    map models/players/level1/level1upg.jpg
    blendFunc GL_ONE GL_ONE
    tcMod scale 2 2
    tcMod scroll 0.2 -0.2
    tcGen environment
    rgbGen wave sin 0.0 1.0 0.25 0.3
  }
}
models/buildables/fence/fence
{
	cull disable
	{
		map models/buildables/fence/fence.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

gfx/misc/yaltsedges
{
	cull disable
	{
		map gfx/misc/yaltsedges.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


gfx/damage/blood1x
{
  entityMergable
  polygonOffset
  {
    map gfx/blood/blood1.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}


models/buildables/infestation_blister/infestation_texture2
{
  {
    map models/buildables/infestation_blister/infestation_texture.tga
  }
}

models/buildables/infestation_blister/infestation_texture
{
  {
    map models/buildables/infestation_blister/infestation_texture.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }
    {
    map models/buildables/infestation_blister/base_texture_glow.jpg
	blendfunc add
    rgbGen wave Triangle .5 .5 0 0.2
  }
}

models/buildables/spiteful_abcess/sa_foot_blend
{
  {
    map models/buildables/spiteful_abcess/sa_foot.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }
}

models/buildables/spiteful_abcess/sa_organic_head
{
  {
	map models/buildables/spiteful_abcess/sa_organic_head.jpg
  }
    {
	map models/buildables/spiteful_abcess/sa_organic_head_blend.jpg
	blendfunc add
    rgbGen wave Triangle .5 .5 0 0.2
  }
}

gfx/damage/blood2x
{
  entityMergable
  polygonOffset
  {
    map gfx/blood/blood2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}
scripts/yboy
{
  {
	animMap 2 ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy2.jpg ui/assets/yboy.jpg
	blendfunc add
  }
}


scripts/ye
{
  {
	map ui/assets/ye.jpg
	blendfunc add
  }
    {
	map ui/assets/ye.jpg
	blendfunc add
    rgbGen wave sin .8 .5 0 3.0
  }
}
scripts/tech
{
  {
	map ui/assets/tech1.png
  }
    {
	map ui/assets/tech1.png
	blendfunc add
    rgbGen wave sin .5 .5 0 3.0
  }
}

scripts/ye_full
{
  {
	map ui/assets/ye_full.png
	blendfunc add

  }
    {
	map ui/assets/ye_full.png
	blendfunc add
    rgbGen wave sin 0.1 0.2 0 15
  }
}

models/light
{
  {
	map models/buildables/light/light.jpg
  }
    {
	map models/buildables/light/glow.jpg
	blendfunc add
	rgbGen identity
  }
}
scripts/ye1
{
  {
	map ui/assets/ye.png
	blendfunc add
	rgbGen identity
//    rgbGen wave Triangle .5 .5 0 0.2
  }
}
scripts/load
{
  {
	map ui/assets/load.png
	blendfunc add
  }
}

scripts/load2
{
  {
	map ui/assets/load.png
	blendfunc add
    tcmod rotate 10
  }
}



textures/karith/pallette_top
{
  cull disable
  nopicmip
  {
    map textures/karith/pallette_top.tga
    alphaFunc GE128
    depthWrite
    rgbGen lightingDiffuse
  }
}

models/buildables/flower/flower
{
  cull disable
  nopicmip
  {
    map models/buildables/flower/flower.jpg
    alphaFunc GE128
    depthWrite
    rgbGen lightingDiffuse
  }
}

gfx/flare/light
{  
  cull disable
  {
    map gfx/marks/bullet_mrk.jpg
    blendFunc GL_ONE GL_ONE

    alphaGen vertex

    rgbGen vertex 
  }
}

gfx/sprites/chatbubblle
{
	{
		map gfx/sprites/chatbubblle.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

gfx/sprites/chatbubblle_h
{
	{
		map gfx/sprites/chatbubblle_h.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

gfx/sprites/chatbubblle_a
{
	{
		map gfx/sprites/chatbubblle_a.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


gfx/rifle/concreteparticle2
{
  cull disable
  {
    map gfx/rifle/concreteparticle2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

gfx/misc/impactpuff2
{
  cull disable
  {
    map gfx/misc/impactpuff2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

gfx/rifle/purple_trail
{  
  nomipmaps
  cull disable
  {
    map gfx/rifle/purple_streak.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
  }
}

gfx/mdriver/purple_trail
{
  cull disable
  {
    map gfx/mdriver/purple_trail.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

spore001
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore001.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore002
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore002.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore003
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore003.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore004
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore004.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore005
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore005.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore006
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore006.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore007
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore007.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore008
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore008.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore009
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore009.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore010
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore010.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore011
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore011.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore012
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore012.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore013
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore013.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore014
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore014.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore015
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore015.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore016
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore016.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

spore017
{
	nopicmip
	cull disable
  {
    map gfx/spore/spore017.bmp
    blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	}
}

gfx/blood/green_acid2
{
  cull disable
  {
    map gfx/blood/green_acid2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

gfx/yblood/yblood3
{
  entityMergable
  polygonOffset
  {
    map gfx/yblood/yblood3.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}

gfx/yblood/yblood1
{
  entityMergable
  polygonOffset
  {
    map gfx/yblood/yblood1.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}

gfx/yblood/yblood2
{
  entityMergable
  polygonOffset
  {
    map gfx/yblood/yblood2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}

gfx/blood/blood1
{
  entityMergable
  polygonOffset
  {
    map gfx/blood/blood1.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}

gfx/blood/blood2
{
  entityMergable
  polygonOffset
  {
    map gfx/blood/blood2.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
    rgbGen vertex
  }
}

models/weapons/acidbomb/acid_move
{
	{
  	map $lightmap
  	rgbGen identity
	}
	{
		map models/weapons/acidbomb/acidb.jpg
		rgbGen wave sin 0.7 0.3 0 0.25 
		tcMod scroll 0.2 0.2
	}
	{
  	map models/weapons/acidbomb/acid.tga
  	blendFunc blend
    alphaFunc GE128
    depthWrite
    rgbGen lightingDiffuse
	}
}

models/weapons/acidbomb/acid_static
{
	{
	  map models/weapons/acidbomb/acid.tga
	}
	{
  	map $lightmap
  	rgbGen identity
  	blendFunc filter
    alphaFunc GE128
    depthWrite
    rgbGen lightingDiffuse
	}
}

gfx/sprites/abombcloud
{
  cull none
  entityMergable
  {
    map gfx/sprites/abombcloud.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen    vertex
    alphaGen  vertex
  }
}
